// ==========================================================================
// Project:   Testapp - mainPage
// Copyright: ©2010 My Company, Inc.
// ==========================================================================
/*globals Testapp */

// This page describes the main user interface for your application.  
Testapp.mainPage = SC.Page.design({

  // The main pane is made visible on screen as soon as your app is loaded.
  // Add childViews to this pane for views to display immediately on page 
  // load.
  mainPane: SC.MainPane.design({
       childViews: 'middleView topView bottomView'.w(),
      
	 topView: SC.ToolbarView.design({
	 layout: { top: 0, left: 0, right: 0, height: 36 },
	 childViews: 'labelView addButton'.w(),
	 anchorLocation: SC.ANCHOR_TOP,	 
	 	labelView: SC.LabelView.design({
        layout: { centerY: 0, height: 24, left: 8, width: 300 },
        controlSize: SC.LARGE_CONTROL_SIZE,
        fontWeight: SC.BOLD_WEIGHT,
        value:   'Welcome to Machine Floor'
        }),  
        addButton: SC.ButtonView.design({
        layout: { centerY: 0, height: 24, right: 12, width: 100 },
        title:  "Log Out",
		target: "",
		action: "logOut"
        })	 
	 }),
	 middleView: SC.SplitView.design({
		layout: { top: 36, bottom: 32, left: 0, right: 0 },
		layoutDirection: SC.LAYOUT_HORIZONTAL,
		autoresizeBehavior: SC.RESIZE_TOP_LEFT,
		defaultThickness: 0.8,
		  topLeftView: SC.ScrollView.design({		
		  hasHorizontalScroller: NO,
		  layout: { top: 36, bottom: 32, left: 0, right: 0 }, 
		  backgroundColor: 'white',
		  contentView: SC.ListView.design({
		  contentBinding: 'Testapp.devicesController.arrangedObjects',
		  selectionBinding: 'Testapp.devicesController.selection',
		  contentValueKey: "maname",
		  rowHeight: 25
		  })
	 }),
	topLeftMinThickness: 150,
	topLeftMaxThickness: 250,
	dividerView: SC.SplitDividerView.design({
		layout: {}
	}),
	bottomRightView: SC.View.design({
		layout: {width:500, height:500, centerX:0, centerY:0},
		childViews: 'custView'.w(),
		custView: SC.View.design({
			layout: {width:400, height:400, centerX:0, centerY:0},
			contentBinding: 'Testapp.deviceController.content',
			didAppendToDocument: function() {
    		this.invokeLater('renderChart',1,10);
  			},
			contentDidChange: function() { 
			var content = this.get('content'); 
			
			/*  do something with content */  
			this.renderChart(content.maef);
			}.observes('content'),
			
			renderChart: function(nad) {
     		var lid = this.get('layerId');
    		new pv.Panel().canvas(lid)
    		.width(150)
    		.height(150)
    		.add(pv.Bar)
    		.data([1, 1.2, 1.7, 1.5, .7, .3, 2.4])
    		.bottom(0)
    		.width(nad)
    		.height(function(d) { return d * 80 })
    		.left(function(){ return this.index * 25 })
    		.root.render();
 			 }
		})
		})
	}),
	bottomView: SC.ToolbarView.design({
	layout: { bottom: 0, left: 0, right: 0, height: 32 },
	childViews: 'summaryView'.w(),
	anchorLocation: SC.ANCHOR_BOTTOM,
	summaryView: SC.LabelView.design({
        layout: { centerY: 0, height: 18, left: 20, right: 20 },
        textAlign: SC.ALIGN_CENTER,
        valueBinding: "Testapp.devicesController.summary"
      })
	})
  })
});
